<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>get_by_doi &#8212; NLP004  documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=4f649999" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=039e1c02" />
    <script src="../_static/documentation_options.js?v=5929fcd5"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="keyphrase_extractor" href="keyphrase_extractor.html" />
    <link rel="prev" title="text_encoder" href="text_encoder.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="module-helpers.get_by_doi">
<span id="get-by-doi"></span><h1>get_by_doi<a class="headerlink" href="#module-helpers.get_by_doi" title="Link to this heading">¶</a></h1>
<dl class="py function">
<dt class="sig sig-object py" id="helpers.get_by_doi.get_by_doi">
<span class="sig-prename descclassname"><span class="pre">helpers.get_by_doi.</span></span><span class="sig-name descname"><span class="pre">get_by_doi</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">doi</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">out_dir</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">api_key</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/get_by_doi.html#get_by_doi"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.get_by_doi.get_by_doi" title="Link to this definition">¶</a></dt>
<dd><p>main getter for all DOIs</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.get_by_doi.get_doi_from_req">
<span class="sig-prename descclassname"><span class="pre">helpers.get_by_doi.</span></span><span class="sig-name descname"><span class="pre">get_doi_from_req</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">doi</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">out_dir</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">source</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'https://oa.mg/work/'</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/get_by_doi.html#get_doi_from_req"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.get_by_doi.get_doi_from_req" title="Link to this definition">¶</a></dt>
<dd><p>Gets abstracts from a request and slices out the abstract part from the response.</p>
<dl class="simple">
<dt>Arguments:</dt><dd><p>doi (str): DOI of a paper, abstract of which is searched
source (str): Base url / source to send the request.</p>
</dd>
</dl>
<p>Returns:</p>
<blockquote>
<div><p>bool: True if success, False if fail.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.get_by_doi.get_doi_prefix_dict">
<span class="sig-prename descclassname"><span class="pre">helpers.get_by_doi.</span></span><span class="sig-name descname"><span class="pre">get_doi_prefix_dict</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">path</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">''</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/get_by_doi.html#get_doi_prefix_dict"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.get_by_doi.get_doi_prefix_dict" title="Link to this definition">¶</a></dt>
<dd><p>Gets doi prefixes to publishers match.</p>
<dl class="simple">
<dt>Arguments:</dt><dd><p>path (str): Path to csv file with prefix info. Defaults to empty string. Hard coded to read from ‘../source/doi-prefix-publishers.csv’ relative to the script location.</p>
</dd>
</dl>
<p>Returns:</p>
<blockquote>
<div><p>dict: Dictionary of doi_preffix - publisher pairs.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.get_by_doi.get_elsevier_by_doi">
<span class="sig-prename descclassname"><span class="pre">helpers.get_by_doi.</span></span><span class="sig-name descname"><span class="pre">get_elsevier_by_doi</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">doi</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">out_dir</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">api_key</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/get_by_doi.html#get_elsevier_by_doi"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.get_by_doi.get_elsevier_by_doi" title="Link to this definition">¶</a></dt>
<dd><p>get article metadata and text from big E</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.get_by_doi.get_publisher">
<span class="sig-prename descclassname"><span class="pre">helpers.get_by_doi.</span></span><span class="sig-name descname"><span class="pre">get_publisher</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">doi</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">prefix_dict</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">dict</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/get_by_doi.html#get_publisher"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.get_by_doi.get_publisher" title="Link to this definition">¶</a></dt>
<dd><p>returns the publisher name by DOI prefix</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.get_by_doi.get_springer_by_doi">
<span class="sig-prename descclassname"><span class="pre">helpers.get_by_doi.</span></span><span class="sig-name descname"><span class="pre">get_springer_by_doi</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">doi</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">out_dir</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">api_key</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/get_by_doi.html#get_springer_by_doi"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.get_by_doi.get_springer_by_doi" title="Link to this definition">¶</a></dt>
<dd><p>get data from Springer
see: <a class="reference external" href="https://dev.springernature.com/restfuloperations">https://dev.springernature.com/restfuloperations</a></p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.get_by_doi.get_wiley_by_doi">
<span class="sig-prename descclassname"><span class="pre">helpers.get_by_doi.</span></span><span class="sig-name descname"><span class="pre">get_wiley_by_doi</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">doi</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">out_dir</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">api_key</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/get_by_doi.html#get_wiley_by_doi"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.get_by_doi.get_wiley_by_doi" title="Link to this definition">¶</a></dt>
<dd><p>get data from Wiley
see: <a class="reference external" href="https://onlinelibrary.wiley.com/library-info/resources/text-and-datamining">https://onlinelibrary.wiley.com/library-info/resources/text-and-datamining</a></p>
</dd></dl>

</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">NLP004</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="../modules.html">python</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="../helpers.html">helpers</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="helper_functions.html">helper_functions</a></li>
<li class="toctree-l3"><a class="reference internal" href="preprocessing.html">preprocessing</a></li>
<li class="toctree-l3"><a class="reference internal" href="text_encoder.html">text_encoder</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">get_by_doi</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#helpers.get_by_doi.get_by_doi"><code class="docutils literal notranslate"><span class="pre">get_by_doi()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.get_by_doi.get_doi_from_req"><code class="docutils literal notranslate"><span class="pre">get_doi_from_req()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.get_by_doi.get_doi_prefix_dict"><code class="docutils literal notranslate"><span class="pre">get_doi_prefix_dict()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.get_by_doi.get_elsevier_by_doi"><code class="docutils literal notranslate"><span class="pre">get_elsevier_by_doi()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.get_by_doi.get_publisher"><code class="docutils literal notranslate"><span class="pre">get_publisher()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.get_by_doi.get_springer_by_doi"><code class="docutils literal notranslate"><span class="pre">get_springer_by_doi()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.get_by_doi.get_wiley_by_doi"><code class="docutils literal notranslate"><span class="pre">get_wiley_by_doi()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="keyphrase_extractor.html">keyphrase_extractor</a></li>
<li class="toctree-l3"><a class="reference internal" href="rules.html">rules</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../scripts.html">scripts</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../pipe.html">pipe</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  <li><a href="../modules.html">python</a><ul>
  <li><a href="../helpers.html">helpers</a><ul>
      <li>Previous: <a href="text_encoder.html" title="previous chapter">text_encoder</a></li>
      <li>Next: <a href="keyphrase_extractor.html" title="next chapter">keyphrase_extractor</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Ughur Mammadzada.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="../_sources/helpers/get_by_doi.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>